package org.enhydra.barracuda.contrib.dbroggisch.display;


import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.enhydra.barracuda.core.comp.*;
import org.enhydra.barracuda.core.forms.*;
import org.enhydra.barracuda.core.comp.model.*;

public class HashMapModel extends AbstractTemplateModel implements LightweightTemplateModel {

	protected Map values;
	protected String modelName;

	public String getName()
	{
		return modelName;
	}

    //csc_030703.1 - added
    public Object getItem(TemplateDirective td) {
        return getItem(td.getKeyName());
    }


	public Object getItem(String key) {
		if(values != null && values.containsKey(key)) {
			return values.get(key);
		}
		return super.getItem(key);
	}

	public void setName(String name)
	{
		modelName = name;
	}

	public HashMapModel() {
		this(null, null);
	}

	public HashMapModel(String name, Map mp) {
		modelName = name;
		if(mp != null) {
			values = mp;
		} else {
			values = new HashMap();
		}
	}

	public HashMapModel(String name) {
		this(name, null);
	}


	public HashMapModel(Map mp) {
		this(null, mp);
	}


	
	public void setItem(String key, Object value) {
		values.put(key, value);
	}


	public Map getItems() {
		return values;
	}

	public void setItems(Map v) {
		values = v;
	}

	public void clear() {
		values.clear();
	}

	public Set keySet() {
		return values.keySet();
	}
}
