/*
 * $Id: DummyPageHandler.java,v 1.2 2003/05/08 16:37:43 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.dbroggisch.page;

import java.io.IOException;
import javax.servlet.ServletException;
import org.enhydra.barracuda.core.event.ControlEventContext;
import org.enhydra.barracuda.core.event.EventException;
import org.apache.log4j.Logger;


/**
 * A simple convenience class providing a dummy page request handler for events
 * meant to do nothing more than load a page. The only thing that actually
 * happens is that the event is flagged as having been handled.
 * 
 * @author <a href="mailto:deets@web.de">Diez B. Roggisch</a>
 * @version 1.0
 */
public class DummyPageHandler extends PageEventListener {

    private static final Logger logger = Logger.getLogger(DummyPageHandler.class.getName());

    public void handleControlEvent(ControlEventContext context, Page page)
            throws EventException, ServletException, IOException {
        context.getEvent().setHandled(true);
        if (logger.isDebugEnabled()) logger.debug("Event " + context.getEvent().getClass().getName() + " associated with Page " + page.getClass().getName() + " set as handled");
    }

}
