/*
 * $Id: Page.java,v 1.3 2003/05/07 18:54:25 diezr Exp $
 */
package org.enhydra.barracuda.contrib.dbroggisch.page;

import java.io.IOException;
import javax.servlet.ServletException;
import org.w3c.dom.Document;
import org.enhydra.barracuda.core.event.ControlEventContext;
import org.enhydra.barracuda.core.event.EventException;
import org.enhydra.barracuda.core.event.ViewEventContext;


/**
 * The Page interface is the central interface for the Page-pattern. 
 * As you might have guessed by the name.
 * Basically the page-pattern is a way to get rid of render-events and provides a convenient way to 
 * encapsulate and inherit code for rendering a html page.
 * 
 * @author <a href="mailto:deets@web.de">Diez B. Roggisch</a>
 * @version 1.0
 */
public interface Page {

    /**
     * The name of this method is somewhat misleading - 
     *
     * @param ctx a <code>ControlEventContext</code> value
     */
    public void createDefaultModels(ControlEventContext ctx);

    /**
     * Describe <code>render</code> method here.
     *
     * @param ctx a <code>ViewEventContext</code> value
     * @exception EventException if an error occurs
     * @exception javax.servlet.ServletException if an error occurs
     * @exception java.io.IOException if an error occurs
     */
    public void render(ViewEventContext ctx)
            throws EventException, ServletException, IOException;
    
    /**
     * Describe <code>handOver</code> method here.
     *
     * @param ctx a <code>ControlEventContext</code> value
     * @param p a <code>Page</code> value
     */
    public void handOver(ControlEventContext ctx, Page p);

}
