package org.enhydra.barracuda.contrib.dbroggisch.repopulation;

import org.enhydra.barracuda.core.forms.DefaultFormElement;
import org.enhydra.barracuda.core.forms.FormType;
import org.enhydra.barracuda.core.comp.ViewContext;
import org.enhydra.barracuda.core.comp.BToggleButton;
import org.enhydra.barracuda.core.forms.ParseException;

public class CheckboxFormElement extends DefaultFormElement implements RepopulationElement {

	public CheckboxFormElement(java.lang.String name, org.enhydra.barracuda.core.forms.FormType ft) {
		// TODO: Check if , new Boolean(false) as default makes sense
		super(name, ft, null);
	}

	
	public Object render(ViewContext context) {
		BToggleButton btog = new BToggleButton();
		btog.setName(getName());
		Object val = getOrigVal();
		
		if(val != null && val instanceof Boolean) {
			btog.setSelected(((Boolean)val).booleanValue());
		} else if(val instanceof String) {
			try {
				Boolean bVal = (Boolean)FormType.BOOLEAN.parse((String)val);
				btog.setSelected(bVal.booleanValue());
			}
			catch(ParseException ex) {
				if(logger.isDebugEnabled()) {
					logger.debug("Parsing of " + val + " to Boolean failed");
				}
			}
		} 
		return btog;
	}
}

