package org.enhydra.barracuda.contrib.dbroggisch.repopulation;

import java.util.List;
import java.util.ArrayList;
import org.enhydra.barracuda.core.forms.DefaultFormElement;
import org.enhydra.barracuda.core.comp.ListModel;
import org.enhydra.barracuda.core.comp.DefaultListModel;
import org.apache.log4j.Logger;
import org.enhydra.barracuda.core.comp.ListSelectionModel;
import org.enhydra.barracuda.core.forms.FormType;
import org.enhydra.barracuda.core.forms.FormValidator;
import org.enhydra.barracuda.core.comp.ItemMap;
import org.enhydra.barracuda.core.comp.ViewContext;
import org.enhydra.barracuda.core.comp.BToggleButton;
import org.enhydra.barracuda.core.comp.BInput;
import org.enhydra.barracuda.core.comp.ListModel;
import org.enhydra.barracuda.core.comp.ListSelectionModel;
import org.enhydra.barracuda.core.comp.AbstractTemplateModel;
import org.enhydra.barracuda.core.comp.IterativeModel;

public class GroupFormElement extends SelectFormElement implements ChildModelElement
{
	public String KEY = "KEY";
 	public String VALUE = "VALUE";

	public IterativeModel getChildModel(String parentName, String prefix) {
		return new ChildModel(parentName, getName(), prefix);
	}

    public GroupFormElement(ListModel lm, 
			     java.lang.String ikey,
			     FormType itype,
			     java.lang.Object idefaultVal,
			     FormValidator ivalidator,
			     boolean iallowMultiples) {
		super(lm, ikey, itype, idefaultVal, ivalidator, iallowMultiples);		
    }


	public class ChildModel extends AbstractTemplateModel implements IterativeModel {
		
		String _name, _parent_name, _child_name, _prefix;
		ListSelectionModel _lsm;
		ListModel _lm;
		int _count;
		Object _key, _value;
		boolean _allows_multiple;

		public ChildModel(String parentName, String childName, String prefix) {
			_parent_name = parentName;
			_child_name = childName;
			_name = _parent_name + "_" + _child_name;
			if(prefix != null) {
				_prefix = prefix;
			} else {
				_prefix = "";
			}
			_allows_multiple = allowMultiples();
		}

		public String getName() {
			return _name;
		}


		public Object getItem(String key) {
			if(key.equals(KEY)) {
				return _key;
			} else if(key.equals(VALUE)) {
				return _value;
			} else {
				return super.getItem(key);
			}
		}

		public void preIterate() {
			_lsm = getListSelectionModel();
			_lm = getListModel();
			_count = -1;
		}
			
		public void postIterate() {
		}

		public boolean hasNext() {
			return _lm.getSize() > 0 && _count < _lm.getSize() - 1;
		}
		
		public void loadNext() {
			_count++;
			Object item = _lm.getItemAt(_count);
			BToggleButton btog = new BToggleButton();
			btog.setName(_child_name);
			btog.setSelected(_lsm.isSelectedIndex(_count));
			if(item instanceof ItemMap) {
				ItemMap im = (ItemMap)item;
				btog.setValue("" + im.getKey());
				_value = im.getValue();
			} else {
				btog.setValue("" + item);
				_value = item;
			}
			if(_allows_multiple) {
				btog.setType(BInput.CHECKBOX);
			} else {
				btog.setType(BInput.RADIO);
			}
			_key = btog;
		} 
	}

}
