package org.enhydra.barracuda.contrib.dbroggisch.repopulation;

import org.enhydra.barracuda.core.comp.ViewContext;

/**
 * This interfaces must be implemented by all FormElements
 * that are capable of beeing repopulated using the
 * {@link org.enhydra.barracuda.contrib.dbroggisch.repopulation.RepopulationFormMap RepopulationFormMap}.
 * <p>
 *
 * @author <a href="mailto:deets@web.de">Diez B. Roggisch</a>
 * @version 1.0
 */
public interface RepopulationElement {
	/**
     * When the FormElements are processed, the actual rendering
     * is delegated to the FormElement by invoking this method.
     * <p> The result is any legal object that can be returned from
     * {@link org.enhydra.barracuda.core.comp.TemplateModel#getItem TemplateModel}.     
     *
     * @param context a <code>ViewContext</code> value
     * @return an <code>Object</code> value
     */
    public Object render(ViewContext context);
}
