/*
 * $Id: ExampleGateway.java,v 1.1 2003/03/26 21:51:19 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.dbroggisch.examples.controller;

import org.enhydra.barracuda.core.event.DefaultEventGateway;
import org.enhydra.barracuda.core.event.helper.EventConnectorFactory;
import org.enhydra.barracuda.contrib.dbroggisch.page.DummyPageHandler;
import org.enhydra.barracuda.contrib.dbroggisch.page.PageFactory;
import org.apache.log4j.Logger;

import org.enhydra.barracuda.contrib.dbroggisch.examples.controller.events.*;
import org.enhydra.barracuda.contrib.dbroggisch.examples.controller.handlers.*;
import org.enhydra.barracuda.contrib.dbroggisch.examples.view.pages.*;


public class ExampleGateway extends DefaultEventGateway {

    private static final Logger logger = Logger.getLogger(ExampleGateway.class.getName());

//    static {
//        try {
//            logger.debug("Filter initialization...");                               
//            FilterFactory.addMapping(ExampleGateway.class.getResourceAsStream("/standard_filter_mapping.xml"));
//            FilterFactory.loadFilters(ExampleGateway.class.getResourceAsStream("/filter.xml"));
//        }
//        catch(Exception ex) {
//            logger.error("Problem initializing filters", ex);
//        }
//    }

    public ExampleGateway() {
        specifyLocalEventInterests(new EventConnectorFactory(RepopulationHandler.class), Repopulation.class);
        specifyLocalEventInterests(new EventConnectorFactory(RepopulationHandler.class), RenderRepopulation.class);
        specifyLocalEventInterests(new EventConnectorFactory(FileUploadHandler.class), FileUpload.class);
        specifyLocalEventInterests(new EventConnectorFactory(FileUploadHandler.class), RenderFileUpload.class);
        specifyLocalEventInterests(new EventConnectorFactory(PrefixMappingHandler.class), PrefixMapping.class);
        specifyLocalEventInterests(new EventConnectorFactory(PrefixMappingHandler.class), PrefixMappingAddChild.class);
        specifyLocalEventInterests(new EventConnectorFactory(PrefixMappingHandler.class), RenderPrefixMapping.class);
        specifyLocalEventInterests(new EventConnectorFactory(NavigationBarHandler.class), NavigationBar.class);
        registerPages();
    }

    private void registerPages() {
        PageFactory.addPageEventMapping(Repopulation.class, RepopulationPage.class);
        PageFactory.addPageEventMapping(LoadPrefixMappingPage.class, PrefixmappingPage.class);
        PageFactory.addPageEventMapping(FileUpload.class, FileUploadPage.class);
        // Add the dummy handler for the load events
        specifyLocalEventInterests(new EventConnectorFactory(DummyPageHandler.class), LoadPrefixMappingPage.class);
    }

}
