/*
 * $Id: ExampleFormMap.java,v 1.1 2003/03/26 21:51:19 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.dbroggisch.examples.model.forms;

import org.enhydra.barracuda.contrib.dbroggisch.repopulation.*;
import org.enhydra.barracuda.core.forms.*;
import org.enhydra.barracuda.core.comp.*;
import org.enhydra.barracuda.core.forms.validators.*;

public class ExampleFormMap extends RepopulationFormMap {

	public final static String MODEL_NAME = "ExampleModel";
	public final static String GROUP = "GROUP";
	public final static String CHECKBOX = "CHECKBOX";
	public final static String SELECT = "SELECT";
	public final static String TEXTAREA = "TEXTAREA";
	public final static String SIMPLECHECKBOX = "SIMPLECHECKBOX";
	public ExampleFormMap() {
		setName(MODEL_NAME);
		// This element will create its own child templatemodel with the name
		// MODEL_NAME + "_" + GROUP
		// The choices will be represented by radiobuttons due to the allowMultipleValues property
		// beeing set to false.
		defineElement(new GroupFormElement(
										   new TestList(),
										   GROUP,
										   FormType.INTEGER,
										   null,
										   new And(new SelectFormValidator(), new NotNullValidator()),
										   false));

		// This element is similar to the preceeding one, with the exception that it will be rendered
		// useing CheckBoxes - it allows for multiple values.
		defineElement(new GroupFormElement(
										   new TestList(),
										   CHECKBOX,
										   FormType.INTEGER,
										   null,
										   new And(new SelectFormValidator(), new NotNullValidator()),
										   true));
		
		defineElement(new SelectFormElement(
											new TestList(),
											SELECT,
											FormType.INTEGER,
											null,
											new SelectFormValidator("Element no. " + 0, "You're not allowed to select the first element!"),
											false));

		defineElement(new TextAreaFormElement(
											  TEXTAREA,
											  null,
											  null));

		defineElement(new CheckboxFormElement(SIMPLECHECKBOX,
											  FormType.BOOLEAN));

	}

	public static class TestList extends DefaultListModel {
		
		public TestList() {
			for(int i = 0; i < 5; i++) {
				add(new DefaultItemMap("" + i, "Element no. " + i));
			}
		}
	}
}
