/*
 * $Id: RepopulationPage.java,v 1.1 2003/03/26 21:51:19 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.dbroggisch.examples.view.pages;

import java.io.IOException;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import javax.servlet.ServletException;
import org.w3c.dom.Document;
//import org.enhydra.xml.xmlc.XMLCStdFactory;
import org.enhydra.barracuda.core.comp.BAction;
import org.enhydra.barracuda.core.comp.BComponent;
import org.enhydra.barracuda.core.comp.BTemplate;
import org.enhydra.barracuda.core.comp.DefaultTemplateView;
import org.enhydra.barracuda.core.comp.TemplateModel;
import org.enhydra.barracuda.core.comp.ViewContext;
import org.enhydra.barracuda.core.event.EventException;
import org.enhydra.barracuda.core.util.dom.DefaultDOMLoader;
import org.enhydra.barracuda.contrib.dbroggisch.display.HashMapModel;
import org.enhydra.barracuda.contrib.dbroggisch.repopulation.RepopulationFormMap;
import org.apache.log4j.Logger;

import org.enhydra.barracuda.contrib.dbroggisch.examples.controller.events.*;
import org.enhydra.barracuda.contrib.dbroggisch.examples.model.forms.*;
import org.enhydra.barracuda.contrib.dbroggisch.examples.view.xmlc.*;


public class RepopulationPage extends ExampleBasePage {

    private static final Logger logger = Logger.getLogger(RepopulationPage.class.getName());

    RepopulationFormMap _rfm;

    public void setRFM(RepopulationFormMap rfm) {
        _rfm = rfm;
    }

    public void render(BComponent root, ViewContext vec, Document pDoc)
            throws EventException, ServletException, IOException {
        super.render(root, vec, pDoc);
        RepopulationHTML doc = (RepopulationHTML) pDoc;

        // Fetch the map that's supposed to act as template model.
        ExampleFormMap cfm = (ExampleFormMap)_rfm;
        BTemplate loginComp = new BTemplate();

        loginComp.setView(new DefaultTemplateView(doc.getElementTestHook()));

        // Add the map as model to the BTemplate
        loginComp.addModel(cfm);

        // It is possible that the map contains multiple choice elements represented by their respective model.
        // That happens when you use CheckBoxes or Radiobuttons instead of combo-boxes. 
        // For now, Barracuda lacks the possibility to add these automatically, so we have to do it.
        List cModels = cfm.getChildModels();
        for(Iterator it = cModels.iterator(); it.hasNext();) {
            loginComp.addModel((TemplateModel)it.next());
        }

        // A simple hashmap based model for the buttons.
        HashMapModel hmm = new HashMapModel();
        hmm.setName("ControlModel");
        hmm.setItem("SUBMIT", new BAction(new Repopulation()));
        loginComp.addModel(hmm);
        root.addChild(loginComp);
    }

    public Document getDocument(Locale iLocale) {
        //return new XMLCStdFactory(null, null).create(RepopulationHTML.class);

        Document doc = null;
        //load the localized DOM template
        try {doc = DefaultDOMLoader.getGlobalInstance().getDOM(RepopulationHTML.class, iLocale);}
        catch (IOException ioe) {logger.fatal ("Fatal Error loading DOM template:", ioe);}
        return doc;
    }

}
