package org.enhydra.barracuda.contrib.sam.data;

import org.enhydra.barracuda.core.event.*;

/** Interface for a confiugration class. Used in {@link DataObjectHandler }. It
 * specifies various properties of a {@link DataObject} based {@link org.enhydra.barracuda.contrib.sam.xmlform.XmlFormMap }
 */
public interface Config {
    
    public String MAP = "MAP";
    public String OID = "oid";
    
    /** returns a view event called for displaying the form */
    public ViewEvent getViewEvent();
    /**
     * @return name of the XML Form, this string is used by {@link org.enhydra.barracuda.contrib.sam.xmlform.XmlFormFactory}
     */
    public String getXmlFormName() ;
    public String getFormName();
    public String getMapName() ;
    /**
     * @return name of the identifier field in the {@link DataObject}
     */
    public String getOidName() ;
    /**
     * @return data object identified by the given oid. Normally, this would be implemented by
     * a SQL query
     */
    public DataObject getDataObject(String oid) throws DataObjectException;
}
