 /**
 * $Id: DataObjectDeleteHandler.java,v 1.1 2003/02/18 02:15:32 jacobk Exp $
 */
package org.enhydra.barracuda.contrib.sam.data;

import javax.servlet.http.*;
import org.enhydra.barracuda.core.event.*;
import org.enhydra.barracuda.contrib.sam.models.*;
import org.enhydra.barracuda.contrib.sam.xmlform.*;
import org.apache.log4j.*;

public abstract class DataObjectDeleteHandler extends DefaultBaseEventListener implements GetConfig {

	protected static Logger logger = Logger.getLogger(DataObjectDeleteHandler.class.getName());

	public abstract Config getConfig();
   protected Config config;

	public void handleControlEvent(ControlEventContext context) throws EventException, javax.servlet.ServletException, java.io.IOException
	{
		BaseEvent event = context.getEvent();
      HttpServletRequest request = context.getRequest();
      HttpSession session = request.getSession();

		config = getConfig();

		if (ErrorModel.exists(context)) return;
		logger.info("Deleting DataObject");
		XmlFormMap xfm = (XmlFormMap) context.getState(config.getMapName());
		String oid = xfm.getStringVal(config.getOidName());
		logger.info(config.getOidName() + " is " + oid);
		try {
			DataObject dataObj = config.getDataObject(oid);
			dataObj.delete(null);
			// put a empty MAP to context
			xfm = new XmlFormMap(context, config.getXmlFormName(), config.getFormName(), null);
			context.putState(config.getMapName(),xfm);
		} catch (DataObjectException ex) {
			logger.error(ex.getMessage(),ex);
		}	
	}
}
