package org.enhydra.barracuda.contrib.sam.models;

/** provide a model to retrieve the data of a DataObject by calling its get method */

import org.enhydra.barracuda.core.comp.*;
import org.enhydra.barracuda.contrib.sam.data.*;
import org.apache.log4j.*;

public class DataObjectModel extends AbstractTemplateModel {

	protected static Logger logger = Logger.getLogger(DataObjectModel.class);
	protected String name;
	protected DataObject dataObj;

	public DataObjectModel(String name, DataObject dataObj) {
		this.name = name;
		this.dataObj = dataObj;
	}

	public String getName() {
		return name;
	}
	
	public Object getItem(String key) {
		try {
			return dataObj.get(key);
		} catch (DataObjectException ex) {
			logger.error(ex.getMessage(), ex);
			return super.getItem(key);
		}
	}
}
