/*
 * DBIterativeModel.java
 *
 * Created on 10. Oktober 2002, 15:45
 */

package org.enhydra.barracuda.contrib.sam.models;

import org.enhydra.barracuda.core.comp.*;
import org.apache.log4j.*;
import java.util.*;

/** iterates over a Map, uses the special keys "Key" and "Value" for returning key-value-pairs
 * @author Stefan Armbruster
 * @version $Id: IterativeMapModel.java,v 1.2 2003/03/03 15:27:12 jacobk Exp $
 */
public class IterativeMapModel extends IteratorModel {
    
    protected static Logger logger = Logger.getLogger(IterativeMapModel.class.getName());

	protected Map map;
    
    /** initialize the model
     * @param name Name of the model
     * @param rs ResultSet to iterate
     */
    public IterativeMapModel(String name, Map map) {
		super(name, map.entrySet().iterator());
		this.map = map;
    }

	public IterativeMapModel(String name) {
		super(name);
	}
    
	public Object getItem(String key) {

		Map.Entry entry = (Map.Entry)_current;
		logger.debug("trying to get key " + key + " from " + map);
		if (key.equals("Key")) {
			return entry.getKey();
		} else if (key.equals("Value")) {
			return entry.getValue();
		} else {
			//return super.getItem(key);
			return map.get(key);
		}
	}
	}
	
