package org.enhydra.barracuda.contrib.sam.models;

/** provide a model to retrieve data by using the reflection API.
* for each key, a method get<key> is called without parameters, the return value is passed through*/

import java.lang.reflect.*;
import org.enhydra.barracuda.core.comp.*;
import org.enhydra.barracuda.contrib.sam.data.*;
import org.apache.log4j.*;

public class ReflectionModel extends AbstractTemplateModel {

	protected static Logger logger = Logger.getLogger(ReflectionModel.class);
	protected String name;
	protected Object obj;

	public ReflectionModel(String name) {
		this.name = name;
	}

	public ReflectionModel(String name, Object obj) {
		this.name = name;
		setObject(obj);
	}

	public void setObject(Object obj) {
		this.obj = obj;
	}

	public String getName() {
		return name;
	}
	
	public Object getItem(String key) {
		try {
			Method m = obj.getClass().getMethod("get" + key, null);
			return m.invoke(obj, null);

		} catch (Exception ex) {
			logger.error(ex.getMessage() );
			return ex.getMessage();
		}
	}
}
