/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: AbstractIterativeTemplateModel.java,v 1.1 2002/03/07 21:14:58 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.comp;

import java.util.*;
import org.enhydra.barracuda.core.comp.model.*;

/**
 * This class provides the abstract implementation
 * for an Iterative Template Model.
 */
public abstract class AbstractIterativeTemplateModel extends AbstractTemplateModel implements IterativeModel {

    //--------------- AbstractIterativeTemplateModel -------------
    //pre-iteration
    public void preIterate() {
    }

    //does the model have more items in the list?
    public abstract boolean hasNext();

    //move to the next position in the list      
    public abstract void loadNext();

    //post-iteration
    public void postIterate() {
    }

}