/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: NoSuitableRendererException.java,v 1.4 2002/11/02 19:15:51 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.comp;

import java.io.*;
import java.util.*;

import org.enhydra.barracuda.plankton.exceptions.NestableException;

/**
 * This exception indicates we were unable to locate a suitable
 * renderer.
 */
public class NoSuitableRendererException extends RenderException {

    /**
     * The noargs public contructor for NoSuitableRendererException
     */
    public NoSuitableRendererException () {super();}

    /**
     * The public contructor for NoSuitableRendererException
     *
     * @param s a String describing the exception
     */
    public NoSuitableRendererException (String s) {super(s, null);}

    /**
     * The public contructor for NoSuitableRendererException
     *
     * @param s a String describing the exception
     * @param iError the Error code associated with this exception
     */
    public NoSuitableRendererException (String s, Exception ibaseException) {super(s, ibaseException);}
}
