/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ModelListener.java,v 1.2 2001/09/25 19:05:28 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.comp.model;


/**
 * Defines the methods needed to act as a ModelListener
 */
public interface ModelListener {

    /**
     * This high level event notification mechanism to tells listeners
     * that something in the model changed. Note that this does not
     * provide near the level of detail that Swing models do (this is because
     * most of the time when the model changes we're just going to invalidate the 
     * component and completely redraw)
     *
     * @param model a reference to the model that changed
     */
    public void modelChanged(Model model);


}