/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: RenderStrategy.java,v 1.1 2001/11/08 05:00:40 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.comp.renderer;

import java.util.*;
import org.w3c.dom.*;

import org.enhydra.barracuda.core.comp.*;

//csc_110201.1 - added
/**
 * This interface defines several basic render strategies. NEVER_SCRIPT
 * indicates that we want to avoid scripting at all costs, even if the 
 * client supports it. SCRIPT_AS_NEEDED indicates the renderer should 
 * feel free to use scripting as desired (assuming the client supports 
 * it of course).
 */
public class RenderStrategy {

    //concrete instances of strategies
    public static final RenderStrategy SCRIPT_AS_NEEDED = new RenderStrategy();
    public static final RenderStrategy NEVER_SCRIPT = new RenderStrategy();

    public static RenderStrategy DEFAULT_RENDER_STRATEGY = SCRIPT_AS_NEEDED;

    /**
     * Protected constructor to prevent external instantiation
     */
    protected RenderStrategy() {}
    
}