/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: InvalidClassException.java,v 1.4 2001/09/25 19:05:29 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.event;

/**
 * This class defines a InvalidClassException...it typically gets
 * thrown when a Class is referenced that does not implement the
 * type expected (ie. BaseEvent, EventDispatcher)
 */
public class InvalidClassException extends EventException {

    /**
     * The noargs public contructor for InvalidClassException
     */
    public InvalidClassException () {super();}

    /**
     * The public contructor for InvalidClassException
     *
     * @param s a String describing the exception
     */
    public InvalidClassException (String s) {super(s, null);}

    /**
     * The public contructor for InvalidClassException
     *
     * @param s a String describing the exception
     * @param iError the Error code associated with this exception
     */
    public InvalidClassException (String s, Exception ibaseException) {super(s, ibaseException);}
}
