/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ViewEvent.java,v 1.4 2001/09/25 19:05:29 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.event;

import java.io.*;
import java.util.*;

/**
 * This defines a basic View event, indicating some kind of
 * response/view must be generated. By default, ViewEvents implement
 * Exceptional and therefore must be handled. The world is made up of
 * ViewEvents and eveything else.
 *
 * Eventually, there may be several kinds of View events,
 * but right now, HttpResponseEvent is the only kind that
 * extends it.
 */
public class ViewEvent extends DefaultBaseEvent {
    /**
     * Default noargs constructor
     */
    public ViewEvent() {super();}

    /**
     * Public constructor. Automatically sets the source parameter.
     * If you do not use this method you should manually set the
     * source before dispatching the event.     
     */
    public ViewEvent(Object source) {
        super(source);
    }
}
