/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: URLRewriter.java,v 1.9 2003/05/08 16:22:04 jacobk Exp $
 */
package org.enhydra.barracuda.core.util.http;

import org.enhydra.barracuda.core.comp.*;


/**
 * This just contains some Servlet utility routines
 */
public class URLRewriter extends org.enhydra.barracuda.plankton.http.URLRewriter {

    //-------------------- URL Rewriting -------------------------
    /**
     * Encode a URL if the REWRITE_URLS option is set. Using this option
     * makes it easy to reconfigure Barracuda if your server has problems
     * with URL rewriting (ie. Enhydra 3.x)
     *
     * @param vc the ViewContext
     * @param url the target url
     * @return an encoded url (unless REWRITE_URLS = false, in which case
     *        it will just return the original url value)
     */
    public static String encodeURL(ViewContext vc, String url) {
        if (vc!=null) {
            return encodeURL(vc.getRequest(), vc.getResponse(), url);
        }
        return url;
    }

    /**
     * Encode a redirect URL if the REWRITE_URLS option is set. Using this option
     * makes it easy to reconfigure Barracuda if your server has problems
     * with URL rewriting (ie. Enhydra 3.x)
     *
     * @param vc the ViewContext
     * @param url the target url
     * @return an encoded url (unless REWRITE_URLS = false, in which case
     *        it will just return the original url value)
     */
    public static String encodeRedirectURL(ViewContext vc, String url) {
        if (vc!=null) {
            return encodeRedirectURL(vc.getRequest(), vc.getResponse(), url);
        }
        return url;
    }

}    
