/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Classes.java,v 1.1 2002/11/02 19:15:53 cryd0221 Exp $
 */
package org.enhydra.barracuda.plankton;

import java.io.*;
import java.util.*;

/**
 * Simple Class utilities
 */
public class Classes {

    /**
     * Get a List of all interfaces that are implemented
     * by an object
     */
    public static List getAllInterfaces(Object obj) {
        List list = new ArrayList();
        return new Classes().getAllInterfaces(obj.getClass(), list);
    }
    
    public static List getAllInterfaces(Class cl) {
        List list = new ArrayList();
        list.add(cl);
        return new Classes().getAllInterfaces(cl, list);
    }
    
    private List getAllInterfaces(Class cl, List list) {
        Class[] classes = cl.getInterfaces();
        for (int i=0; i<classes.length; i++) {
            if (!list.contains(classes[i])) {
                list.add(classes[i]);
                getAllInterfaces(classes[i], list);
            }
        }
        return list;    
    }
    
    /**
     * Get a short version of a class name
     */
    public static String getShortClassName(Class cl) {
        String className = cl.getName();
        int spos = className.lastIndexOf(".");
        if (spos<0) return className;    
        else return className.substring(spos+1);
    }
}