/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TestXmlcUtilsCreate.java,v 1.7 2003/05/16 13:39:39 jacobk Exp $
 */
package org.enhydra.barracuda.taskdefs;

// import junit specifics
import junit.framework.TestCase;

// import logging specifics
import org.apache.log4j.Logger;

// import java specifics
import java.io.File;

import org.enhydra.xml.xmlc.taskdef.*;

import org.enhydra.barracuda.testbed.*;

/**
 * Unit tests for create() factory method of XmlcUtils
 */
public class TestXmlcUtilsCreate extends DefaultTestCase {

    //===========================================================================
    // CONSTRUCTORS
    //===========================================================================

    /**
     * Default constructor
     *
     * @param theName   The name of the test
     */
    public TestXmlcUtilsCreate( String theName) {
        super( theName );
    }

    /**
     * Sets up the fixture, for example, open a network connection.
     * This method is called before a test is executed.
     */
    protected void setUp() throws Exception {
        super.setUp();
    }

    /**
     * Tears down the fixture, for example, close a network connection.
     * This method is called after a test is executed.
     */
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    //===========================================================================
    // TEST METHODS
    //===========================================================================
    public void testCreate() {
        XmlcUtils xmlcUtils = XmlcUtils.create();

        assertEquals( "Default create should return a default implementation",
                      DefaultXmlcUtilsImpl.class,
                      xmlcUtils.getClass() );

        System.setProperty(XmlcUtils.DEFAULT_UTILS_CLASS_KEY, String.class.getName() );

        xmlcUtils = XmlcUtils.create();

        assertEquals( "Improper create should return a default implementation",
                      DefaultXmlcUtilsImpl.class,
                      xmlcUtils.getClass() );

        System.setProperty(XmlcUtils.DEFAULT_UTILS_CLASS_KEY, DummyXmlcUtils.class.getName() );

        xmlcUtils = XmlcUtils.create();

        assertEquals( "Improper create should return dummy implementation",
                      DummyXmlcUtils.class,
                      xmlcUtils.getClass() );
    }

    //===========================================================================
    // DATA MEMBERS
    //===========================================================================

    //===========================================================================
    // STATIC DATA MEMBERS
    //===========================================================================

    // setup the loggger for this class
    private static final Logger theirLogger = Logger.getLogger( TestXmlcUtilsCreate.class.getName() );

}
